IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network2.172.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
- Network address
2.172.0.0- Broadcast address
2.175.255.255- First usable
2.172.0.1- Last usable
2.175.255.254- Usable hosts
- 262,142 (262,144 less the network and broadcast addresses)
- Subnet mask
255.252.0.0- Wildcard mask
0.3.255.255(Cisco ACLs, OSPF)- Prefix length
- /14
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
02AC0000· Integer44826624to45088767 - Reverse DNS zones
172.2.in-addr.arpa173.2.in-addr.arpa174.2.in-addr.arpa175.2.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00000010.10101100.00000000.00000000 | 2.172.0.0 |
| Subnet mask | 11111111.11111100.00000000.00000000 | 255.252.0.0 |
| Network | 00000010.10101100.00000000.00000000 | 2.172.0.0 |
| Broadcast | 00000010.10101111.11111111.11111111 | 2.175.255.255 |
Split into smaller subnets
/15 (2)/16 (4)/17 (8)/18 (16)/19 (32)/20 (64)/21 (128)/22 (256)/23 (512)/24 (1,024)/25 (2,048)/26 (4,096)
2.172.0.0/14 makes 512 subnets of /23; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 2.172.0.0/23 | 2.172.0.1 to 2.172.1.254 | 2.172.1.255 | 510 |
| 2 | 2.172.2.0/23 | 2.172.2.1 to 2.172.3.254 | 2.172.3.255 | 510 |
| 3 | 2.172.4.0/23 | 2.172.4.1 to 2.172.5.254 | 2.172.5.255 | 510 |
| 4 | 2.172.6.0/23 | 2.172.6.1 to 2.172.7.254 | 2.172.7.255 | 510 |
| 5 | 2.172.8.0/23 | 2.172.8.1 to 2.172.9.254 | 2.172.9.255 | 510 |
| 6 | 2.172.10.0/23 | 2.172.10.1 to 2.172.11.254 | 2.172.11.255 | 510 |
| 7 | 2.172.12.0/23 | 2.172.12.1 to 2.172.13.254 | 2.172.13.255 | 510 |
| 8 | 2.172.14.0/23 | 2.172.14.1 to 2.172.15.254 | 2.172.15.255 | 510 |
| 9 | 2.172.16.0/23 | 2.172.16.1 to 2.172.17.254 | 2.172.17.255 | 510 |
| 10 | 2.172.18.0/23 | 2.172.18.1 to 2.172.19.254 | 2.172.19.255 | 510 |
| 11 | 2.172.20.0/23 | 2.172.20.1 to 2.172.21.254 | 2.172.21.255 | 510 |
| 12 | 2.172.22.0/23 | 2.172.22.1 to 2.172.23.254 | 2.172.23.255 | 510 |
| 13 | 2.172.24.0/23 | 2.172.24.1 to 2.172.25.254 | 2.172.25.255 | 510 |
| 14 | 2.172.26.0/23 | 2.172.26.1 to 2.172.27.254 | 2.172.27.255 | 510 |
| 15 | 2.172.28.0/23 | 2.172.28.1 to 2.172.29.254 | 2.172.29.255 | 510 |
| 16 | 2.172.30.0/23 | 2.172.30.1 to 2.172.31.254 | 2.172.31.255 | 510 |
| 17 | 2.172.32.0/23 | 2.172.32.1 to 2.172.33.254 | 2.172.33.255 | 510 |
| 18 | 2.172.34.0/23 | 2.172.34.1 to 2.172.35.254 | 2.172.35.255 | 510 |
| 19 | 2.172.36.0/23 | 2.172.36.1 to 2.172.37.254 | 2.172.37.255 | 510 |
| 20 | 2.172.38.0/23 | 2.172.38.1 to 2.172.39.254 | 2.172.39.255 | 510 |
| 21 | 2.172.40.0/23 | 2.172.40.1 to 2.172.41.254 | 2.172.41.255 | 510 |
| 22 | 2.172.42.0/23 | 2.172.42.1 to 2.172.43.254 | 2.172.43.255 | 510 |
| 23 | 2.172.44.0/23 | 2.172.44.1 to 2.172.45.254 | 2.172.45.255 | 510 |
| 24 | 2.172.46.0/23 | 2.172.46.1 to 2.172.47.254 | 2.172.47.255 | 510 |
| 25 | 2.172.48.0/23 | 2.172.48.1 to 2.172.49.254 | 2.172.49.255 | 510 |
| 26 | 2.172.50.0/23 | 2.172.50.1 to 2.172.51.254 | 2.172.51.255 | 510 |
| 27 | 2.172.52.0/23 | 2.172.52.1 to 2.172.53.254 | 2.172.53.255 | 510 |
| 28 | 2.172.54.0/23 | 2.172.54.1 to 2.172.55.254 | 2.172.55.255 | 510 |
| 29 | 2.172.56.0/23 | 2.172.56.1 to 2.172.57.254 | 2.172.57.255 | 510 |
| 30 | 2.172.58.0/23 | 2.172.58.1 to 2.172.59.254 | 2.172.59.255 | 510 |
| 31 | 2.172.60.0/23 | 2.172.60.1 to 2.172.61.254 | 2.172.61.255 | 510 |
| 32 | 2.172.62.0/23 | 2.172.62.1 to 2.172.63.254 | 2.172.63.255 | 510 |
| 33 | 2.172.64.0/23 | 2.172.64.1 to 2.172.65.254 | 2.172.65.255 | 510 |
| 34 | 2.172.66.0/23 | 2.172.66.1 to 2.172.67.254 | 2.172.67.255 | 510 |
| 35 | 2.172.68.0/23 | 2.172.68.1 to 2.172.69.254 | 2.172.69.255 | 510 |
| 36 | 2.172.70.0/23 | 2.172.70.1 to 2.172.71.254 | 2.172.71.255 | 510 |
| 37 | 2.172.72.0/23 | 2.172.72.1 to 2.172.73.254 | 2.172.73.255 | 510 |
| 38 | 2.172.74.0/23 | 2.172.74.1 to 2.172.75.254 | 2.172.75.255 | 510 |
| 39 | 2.172.76.0/23 | 2.172.76.1 to 2.172.77.254 | 2.172.77.255 | 510 |
| 40 | 2.172.78.0/23 | 2.172.78.1 to 2.172.79.254 | 2.172.79.255 | 510 |
| 41 | 2.172.80.0/23 | 2.172.80.1 to 2.172.81.254 | 2.172.81.255 | 510 |
| 42 | 2.172.82.0/23 | 2.172.82.1 to 2.172.83.254 | 2.172.83.255 | 510 |
| 43 | 2.172.84.0/23 | 2.172.84.1 to 2.172.85.254 | 2.172.85.255 | 510 |
| 44 | 2.172.86.0/23 | 2.172.86.1 to 2.172.87.254 | 2.172.87.255 | 510 |
| 45 | 2.172.88.0/23 | 2.172.88.1 to 2.172.89.254 | 2.172.89.255 | 510 |
| 46 | 2.172.90.0/23 | 2.172.90.1 to 2.172.91.254 | 2.172.91.255 | 510 |
| 47 | 2.172.92.0/23 | 2.172.92.1 to 2.172.93.254 | 2.172.93.255 | 510 |
| 48 | 2.172.94.0/23 | 2.172.94.1 to 2.172.95.254 | 2.172.95.255 | 510 |
| 49 | 2.172.96.0/23 | 2.172.96.1 to 2.172.97.254 | 2.172.97.255 | 510 |
| 50 | 2.172.98.0/23 | 2.172.98.1 to 2.172.99.254 | 2.172.99.255 | 510 |
| 51 | 2.172.100.0/23 | 2.172.100.1 to 2.172.101.254 | 2.172.101.255 | 510 |
| 52 | 2.172.102.0/23 | 2.172.102.1 to 2.172.103.254 | 2.172.103.255 | 510 |
| 53 | 2.172.104.0/23 | 2.172.104.1 to 2.172.105.254 | 2.172.105.255 | 510 |
| 54 | 2.172.106.0/23 | 2.172.106.1 to 2.172.107.254 | 2.172.107.255 | 510 |
| 55 | 2.172.108.0/23 | 2.172.108.1 to 2.172.109.254 | 2.172.109.255 | 510 |
| 56 | 2.172.110.0/23 | 2.172.110.1 to 2.172.111.254 | 2.172.111.255 | 510 |
| 57 | 2.172.112.0/23 | 2.172.112.1 to 2.172.113.254 | 2.172.113.255 | 510 |
| 58 | 2.172.114.0/23 | 2.172.114.1 to 2.172.115.254 | 2.172.115.255 | 510 |
| 59 | 2.172.116.0/23 | 2.172.116.1 to 2.172.117.254 | 2.172.117.255 | 510 |
| 60 | 2.172.118.0/23 | 2.172.118.1 to 2.172.119.254 | 2.172.119.255 | 510 |
| 61 | 2.172.120.0/23 | 2.172.120.1 to 2.172.121.254 | 2.172.121.255 | 510 |
| 62 | 2.172.122.0/23 | 2.172.122.1 to 2.172.123.254 | 2.172.123.255 | 510 |
| 63 | 2.172.124.0/23 | 2.172.124.1 to 2.172.125.254 | 2.172.125.255 | 510 |
| 64 | 2.172.126.0/23 | 2.172.126.1 to 2.172.127.254 | 2.172.127.255 | 510 |
| 65 | 2.172.128.0/23 | 2.172.128.1 to 2.172.129.254 | 2.172.129.255 | 510 |
| 66 | 2.172.130.0/23 | 2.172.130.1 to 2.172.131.254 | 2.172.131.255 | 510 |
| 67 | 2.172.132.0/23 | 2.172.132.1 to 2.172.133.254 | 2.172.133.255 | 510 |
| 68 | 2.172.134.0/23 | 2.172.134.1 to 2.172.135.254 | 2.172.135.255 | 510 |
| 69 | 2.172.136.0/23 | 2.172.136.1 to 2.172.137.254 | 2.172.137.255 | 510 |
| 70 | 2.172.138.0/23 | 2.172.138.1 to 2.172.139.254 | 2.172.139.255 | 510 |
| 71 | 2.172.140.0/23 | 2.172.140.1 to 2.172.141.254 | 2.172.141.255 | 510 |
| 72 | 2.172.142.0/23 | 2.172.142.1 to 2.172.143.254 | 2.172.143.255 | 510 |
| 73 | 2.172.144.0/23 | 2.172.144.1 to 2.172.145.254 | 2.172.145.255 | 510 |
| 74 | 2.172.146.0/23 | 2.172.146.1 to 2.172.147.254 | 2.172.147.255 | 510 |
| 75 | 2.172.148.0/23 | 2.172.148.1 to 2.172.149.254 | 2.172.149.255 | 510 |
| 76 | 2.172.150.0/23 | 2.172.150.1 to 2.172.151.254 | 2.172.151.255 | 510 |
| 77 | 2.172.152.0/23 | 2.172.152.1 to 2.172.153.254 | 2.172.153.255 | 510 |
| 78 | 2.172.154.0/23 | 2.172.154.1 to 2.172.155.254 | 2.172.155.255 | 510 |
| 79 | 2.172.156.0/23 | 2.172.156.1 to 2.172.157.254 | 2.172.157.255 | 510 |
| 80 | 2.172.158.0/23 | 2.172.158.1 to 2.172.159.254 | 2.172.159.255 | 510 |
| 81 | 2.172.160.0/23 | 2.172.160.1 to 2.172.161.254 | 2.172.161.255 | 510 |
| 82 | 2.172.162.0/23 | 2.172.162.1 to 2.172.163.254 | 2.172.163.255 | 510 |
| 83 | 2.172.164.0/23 | 2.172.164.1 to 2.172.165.254 | 2.172.165.255 | 510 |
| 84 | 2.172.166.0/23 | 2.172.166.1 to 2.172.167.254 | 2.172.167.255 | 510 |
| 85 | 2.172.168.0/23 | 2.172.168.1 to 2.172.169.254 | 2.172.169.255 | 510 |
| 86 | 2.172.170.0/23 | 2.172.170.1 to 2.172.171.254 | 2.172.171.255 | 510 |
| 87 | 2.172.172.0/23 | 2.172.172.1 to 2.172.173.254 | 2.172.173.255 | 510 |
| 88 | 2.172.174.0/23 | 2.172.174.1 to 2.172.175.254 | 2.172.175.255 | 510 |
| 89 | 2.172.176.0/23 | 2.172.176.1 to 2.172.177.254 | 2.172.177.255 | 510 |
| 90 | 2.172.178.0/23 | 2.172.178.1 to 2.172.179.254 | 2.172.179.255 | 510 |
| 91 | 2.172.180.0/23 | 2.172.180.1 to 2.172.181.254 | 2.172.181.255 | 510 |
| 92 | 2.172.182.0/23 | 2.172.182.1 to 2.172.183.254 | 2.172.183.255 | 510 |
| 93 | 2.172.184.0/23 | 2.172.184.1 to 2.172.185.254 | 2.172.185.255 | 510 |
| 94 | 2.172.186.0/23 | 2.172.186.1 to 2.172.187.254 | 2.172.187.255 | 510 |
| 95 | 2.172.188.0/23 | 2.172.188.1 to 2.172.189.254 | 2.172.189.255 | 510 |
| 96 | 2.172.190.0/23 | 2.172.190.1 to 2.172.191.254 | 2.172.191.255 | 510 |
| 97 | 2.172.192.0/23 | 2.172.192.1 to 2.172.193.254 | 2.172.193.255 | 510 |
| 98 | 2.172.194.0/23 | 2.172.194.1 to 2.172.195.254 | 2.172.195.255 | 510 |
| 99 | 2.172.196.0/23 | 2.172.196.1 to 2.172.197.254 | 2.172.197.255 | 510 |
| 100 | 2.172.198.0/23 | 2.172.198.1 to 2.172.199.254 | 2.172.199.255 | 510 |
| 101 | 2.172.200.0/23 | 2.172.200.1 to 2.172.201.254 | 2.172.201.255 | 510 |
| 102 | 2.172.202.0/23 | 2.172.202.1 to 2.172.203.254 | 2.172.203.255 | 510 |
| 103 | 2.172.204.0/23 | 2.172.204.1 to 2.172.205.254 | 2.172.205.255 | 510 |
| 104 | 2.172.206.0/23 | 2.172.206.1 to 2.172.207.254 | 2.172.207.255 | 510 |
| 105 | 2.172.208.0/23 | 2.172.208.1 to 2.172.209.254 | 2.172.209.255 | 510 |
| 106 | 2.172.210.0/23 | 2.172.210.1 to 2.172.211.254 | 2.172.211.255 | 510 |
| 107 | 2.172.212.0/23 | 2.172.212.1 to 2.172.213.254 | 2.172.213.255 | 510 |
| 108 | 2.172.214.0/23 | 2.172.214.1 to 2.172.215.254 | 2.172.215.255 | 510 |
| 109 | 2.172.216.0/23 | 2.172.216.1 to 2.172.217.254 | 2.172.217.255 | 510 |
| 110 | 2.172.218.0/23 | 2.172.218.1 to 2.172.219.254 | 2.172.219.255 | 510 |
| 111 | 2.172.220.0/23 | 2.172.220.1 to 2.172.221.254 | 2.172.221.255 | 510 |
| 112 | 2.172.222.0/23 | 2.172.222.1 to 2.172.223.254 | 2.172.223.255 | 510 |
| 113 | 2.172.224.0/23 | 2.172.224.1 to 2.172.225.254 | 2.172.225.255 | 510 |
| 114 | 2.172.226.0/23 | 2.172.226.1 to 2.172.227.254 | 2.172.227.255 | 510 |
| 115 | 2.172.228.0/23 | 2.172.228.1 to 2.172.229.254 | 2.172.229.255 | 510 |
| 116 | 2.172.230.0/23 | 2.172.230.1 to 2.172.231.254 | 2.172.231.255 | 510 |
| 117 | 2.172.232.0/23 | 2.172.232.1 to 2.172.233.254 | 2.172.233.255 | 510 |
| 118 | 2.172.234.0/23 | 2.172.234.1 to 2.172.235.254 | 2.172.235.255 | 510 |
| 119 | 2.172.236.0/23 | 2.172.236.1 to 2.172.237.254 | 2.172.237.255 | 510 |
| 120 | 2.172.238.0/23 | 2.172.238.1 to 2.172.239.254 | 2.172.239.255 | 510 |
| 121 | 2.172.240.0/23 | 2.172.240.1 to 2.172.241.254 | 2.172.241.255 | 510 |
| 122 | 2.172.242.0/23 | 2.172.242.1 to 2.172.243.254 | 2.172.243.255 | 510 |
| 123 | 2.172.244.0/23 | 2.172.244.1 to 2.172.245.254 | 2.172.245.255 | 510 |
| 124 | 2.172.246.0/23 | 2.172.246.1 to 2.172.247.254 | 2.172.247.255 | 510 |
| 125 | 2.172.248.0/23 | 2.172.248.1 to 2.172.249.254 | 2.172.249.255 | 510 |
| 126 | 2.172.250.0/23 | 2.172.250.1 to 2.172.251.254 | 2.172.251.255 | 510 |
| 127 | 2.172.252.0/23 | 2.172.252.1 to 2.172.253.254 | 2.172.253.255 | 510 |
| 128 | 2.172.254.0/23 | 2.172.254.1 to 2.172.255.254 | 2.172.255.255 | 510 |
| 129 | 2.173.0.0/23 | 2.173.0.1 to 2.173.1.254 | 2.173.1.255 | 510 |
| 130 | 2.173.2.0/23 | 2.173.2.1 to 2.173.3.254 | 2.173.3.255 | 510 |
| 131 | 2.173.4.0/23 | 2.173.4.1 to 2.173.5.254 | 2.173.5.255 | 510 |
| 132 | 2.173.6.0/23 | 2.173.6.1 to 2.173.7.254 | 2.173.7.255 | 510 |
| 133 | 2.173.8.0/23 | 2.173.8.1 to 2.173.9.254 | 2.173.9.255 | 510 |
| 134 | 2.173.10.0/23 | 2.173.10.1 to 2.173.11.254 | 2.173.11.255 | 510 |
| 135 | 2.173.12.0/23 | 2.173.12.1 to 2.173.13.254 | 2.173.13.255 | 510 |
| 136 | 2.173.14.0/23 | 2.173.14.1 to 2.173.15.254 | 2.173.15.255 | 510 |
| 137 | 2.173.16.0/23 | 2.173.16.1 to 2.173.17.254 | 2.173.17.255 | 510 |
| 138 | 2.173.18.0/23 | 2.173.18.1 to 2.173.19.254 | 2.173.19.255 | 510 |
| 139 | 2.173.20.0/23 | 2.173.20.1 to 2.173.21.254 | 2.173.21.255 | 510 |
| 140 | 2.173.22.0/23 | 2.173.22.1 to 2.173.23.254 | 2.173.23.255 | 510 |
| 141 | 2.173.24.0/23 | 2.173.24.1 to 2.173.25.254 | 2.173.25.255 | 510 |
| 142 | 2.173.26.0/23 | 2.173.26.1 to 2.173.27.254 | 2.173.27.255 | 510 |
| 143 | 2.173.28.0/23 | 2.173.28.1 to 2.173.29.254 | 2.173.29.255 | 510 |
| 144 | 2.173.30.0/23 | 2.173.30.1 to 2.173.31.254 | 2.173.31.255 | 510 |
| 145 | 2.173.32.0/23 | 2.173.32.1 to 2.173.33.254 | 2.173.33.255 | 510 |
| 146 | 2.173.34.0/23 | 2.173.34.1 to 2.173.35.254 | 2.173.35.255 | 510 |
| 147 | 2.173.36.0/23 | 2.173.36.1 to 2.173.37.254 | 2.173.37.255 | 510 |
| 148 | 2.173.38.0/23 | 2.173.38.1 to 2.173.39.254 | 2.173.39.255 | 510 |
| 149 | 2.173.40.0/23 | 2.173.40.1 to 2.173.41.254 | 2.173.41.255 | 510 |
| 150 | 2.173.42.0/23 | 2.173.42.1 to 2.173.43.254 | 2.173.43.255 | 510 |
| 151 | 2.173.44.0/23 | 2.173.44.1 to 2.173.45.254 | 2.173.45.255 | 510 |
| 152 | 2.173.46.0/23 | 2.173.46.1 to 2.173.47.254 | 2.173.47.255 | 510 |
| 153 | 2.173.48.0/23 | 2.173.48.1 to 2.173.49.254 | 2.173.49.255 | 510 |
| 154 | 2.173.50.0/23 | 2.173.50.1 to 2.173.51.254 | 2.173.51.255 | 510 |
| 155 | 2.173.52.0/23 | 2.173.52.1 to 2.173.53.254 | 2.173.53.255 | 510 |
| 156 | 2.173.54.0/23 | 2.173.54.1 to 2.173.55.254 | 2.173.55.255 | 510 |
| 157 | 2.173.56.0/23 | 2.173.56.1 to 2.173.57.254 | 2.173.57.255 | 510 |
| 158 | 2.173.58.0/23 | 2.173.58.1 to 2.173.59.254 | 2.173.59.255 | 510 |
| 159 | 2.173.60.0/23 | 2.173.60.1 to 2.173.61.254 | 2.173.61.255 | 510 |
| 160 | 2.173.62.0/23 | 2.173.62.1 to 2.173.63.254 | 2.173.63.255 | 510 |
| 161 | 2.173.64.0/23 | 2.173.64.1 to 2.173.65.254 | 2.173.65.255 | 510 |
| 162 | 2.173.66.0/23 | 2.173.66.1 to 2.173.67.254 | 2.173.67.255 | 510 |
| 163 | 2.173.68.0/23 | 2.173.68.1 to 2.173.69.254 | 2.173.69.255 | 510 |
| 164 | 2.173.70.0/23 | 2.173.70.1 to 2.173.71.254 | 2.173.71.255 | 510 |
| 165 | 2.173.72.0/23 | 2.173.72.1 to 2.173.73.254 | 2.173.73.255 | 510 |
| 166 | 2.173.74.0/23 | 2.173.74.1 to 2.173.75.254 | 2.173.75.255 | 510 |
| 167 | 2.173.76.0/23 | 2.173.76.1 to 2.173.77.254 | 2.173.77.255 | 510 |
| 168 | 2.173.78.0/23 | 2.173.78.1 to 2.173.79.254 | 2.173.79.255 | 510 |
| 169 | 2.173.80.0/23 | 2.173.80.1 to 2.173.81.254 | 2.173.81.255 | 510 |
| 170 | 2.173.82.0/23 | 2.173.82.1 to 2.173.83.254 | 2.173.83.255 | 510 |
| 171 | 2.173.84.0/23 | 2.173.84.1 to 2.173.85.254 | 2.173.85.255 | 510 |
| 172 | 2.173.86.0/23 | 2.173.86.1 to 2.173.87.254 | 2.173.87.255 | 510 |
| 173 | 2.173.88.0/23 | 2.173.88.1 to 2.173.89.254 | 2.173.89.255 | 510 |
| 174 | 2.173.90.0/23 | 2.173.90.1 to 2.173.91.254 | 2.173.91.255 | 510 |
| 175 | 2.173.92.0/23 | 2.173.92.1 to 2.173.93.254 | 2.173.93.255 | 510 |
| 176 | 2.173.94.0/23 | 2.173.94.1 to 2.173.95.254 | 2.173.95.255 | 510 |
| 177 | 2.173.96.0/23 | 2.173.96.1 to 2.173.97.254 | 2.173.97.255 | 510 |
| 178 | 2.173.98.0/23 | 2.173.98.1 to 2.173.99.254 | 2.173.99.255 | 510 |
| 179 | 2.173.100.0/23 | 2.173.100.1 to 2.173.101.254 | 2.173.101.255 | 510 |
| 180 | 2.173.102.0/23 | 2.173.102.1 to 2.173.103.254 | 2.173.103.255 | 510 |
| 181 | 2.173.104.0/23 | 2.173.104.1 to 2.173.105.254 | 2.173.105.255 | 510 |
| 182 | 2.173.106.0/23 | 2.173.106.1 to 2.173.107.254 | 2.173.107.255 | 510 |
| 183 | 2.173.108.0/23 | 2.173.108.1 to 2.173.109.254 | 2.173.109.255 | 510 |
| 184 | 2.173.110.0/23 | 2.173.110.1 to 2.173.111.254 | 2.173.111.255 | 510 |
| 185 | 2.173.112.0/23 | 2.173.112.1 to 2.173.113.254 | 2.173.113.255 | 510 |
| 186 | 2.173.114.0/23 | 2.173.114.1 to 2.173.115.254 | 2.173.115.255 | 510 |
| 187 | 2.173.116.0/23 | 2.173.116.1 to 2.173.117.254 | 2.173.117.255 | 510 |
| 188 | 2.173.118.0/23 | 2.173.118.1 to 2.173.119.254 | 2.173.119.255 | 510 |
| 189 | 2.173.120.0/23 | 2.173.120.1 to 2.173.121.254 | 2.173.121.255 | 510 |
| 190 | 2.173.122.0/23 | 2.173.122.1 to 2.173.123.254 | 2.173.123.255 | 510 |
| 191 | 2.173.124.0/23 | 2.173.124.1 to 2.173.125.254 | 2.173.125.255 | 510 |
| 192 | 2.173.126.0/23 | 2.173.126.1 to 2.173.127.254 | 2.173.127.255 | 510 |
| 193 | 2.173.128.0/23 | 2.173.128.1 to 2.173.129.254 | 2.173.129.255 | 510 |
| 194 | 2.173.130.0/23 | 2.173.130.1 to 2.173.131.254 | 2.173.131.255 | 510 |
| 195 | 2.173.132.0/23 | 2.173.132.1 to 2.173.133.254 | 2.173.133.255 | 510 |
| 196 | 2.173.134.0/23 | 2.173.134.1 to 2.173.135.254 | 2.173.135.255 | 510 |
| 197 | 2.173.136.0/23 | 2.173.136.1 to 2.173.137.254 | 2.173.137.255 | 510 |
| 198 | 2.173.138.0/23 | 2.173.138.1 to 2.173.139.254 | 2.173.139.255 | 510 |
| 199 | 2.173.140.0/23 | 2.173.140.1 to 2.173.141.254 | 2.173.141.255 | 510 |
| 200 | 2.173.142.0/23 | 2.173.142.1 to 2.173.143.254 | 2.173.143.255 | 510 |
| 201 | 2.173.144.0/23 | 2.173.144.1 to 2.173.145.254 | 2.173.145.255 | 510 |
| 202 | 2.173.146.0/23 | 2.173.146.1 to 2.173.147.254 | 2.173.147.255 | 510 |
| 203 | 2.173.148.0/23 | 2.173.148.1 to 2.173.149.254 | 2.173.149.255 | 510 |
| 204 | 2.173.150.0/23 | 2.173.150.1 to 2.173.151.254 | 2.173.151.255 | 510 |
| 205 | 2.173.152.0/23 | 2.173.152.1 to 2.173.153.254 | 2.173.153.255 | 510 |
| 206 | 2.173.154.0/23 | 2.173.154.1 to 2.173.155.254 | 2.173.155.255 | 510 |
| 207 | 2.173.156.0/23 | 2.173.156.1 to 2.173.157.254 | 2.173.157.255 | 510 |
| 208 | 2.173.158.0/23 | 2.173.158.1 to 2.173.159.254 | 2.173.159.255 | 510 |
| 209 | 2.173.160.0/23 | 2.173.160.1 to 2.173.161.254 | 2.173.161.255 | 510 |
| 210 | 2.173.162.0/23 | 2.173.162.1 to 2.173.163.254 | 2.173.163.255 | 510 |
| 211 | 2.173.164.0/23 | 2.173.164.1 to 2.173.165.254 | 2.173.165.255 | 510 |
| 212 | 2.173.166.0/23 | 2.173.166.1 to 2.173.167.254 | 2.173.167.255 | 510 |
| 213 | 2.173.168.0/23 | 2.173.168.1 to 2.173.169.254 | 2.173.169.255 | 510 |
| 214 | 2.173.170.0/23 | 2.173.170.1 to 2.173.171.254 | 2.173.171.255 | 510 |
| 215 | 2.173.172.0/23 | 2.173.172.1 to 2.173.173.254 | 2.173.173.255 | 510 |
| 216 | 2.173.174.0/23 | 2.173.174.1 to 2.173.175.254 | 2.173.175.255 | 510 |
| 217 | 2.173.176.0/23 | 2.173.176.1 to 2.173.177.254 | 2.173.177.255 | 510 |
| 218 | 2.173.178.0/23 | 2.173.178.1 to 2.173.179.254 | 2.173.179.255 | 510 |
| 219 | 2.173.180.0/23 | 2.173.180.1 to 2.173.181.254 | 2.173.181.255 | 510 |
| 220 | 2.173.182.0/23 | 2.173.182.1 to 2.173.183.254 | 2.173.183.255 | 510 |
| 221 | 2.173.184.0/23 | 2.173.184.1 to 2.173.185.254 | 2.173.185.255 | 510 |
| 222 | 2.173.186.0/23 | 2.173.186.1 to 2.173.187.254 | 2.173.187.255 | 510 |
| 223 | 2.173.188.0/23 | 2.173.188.1 to 2.173.189.254 | 2.173.189.255 | 510 |
| 224 | 2.173.190.0/23 | 2.173.190.1 to 2.173.191.254 | 2.173.191.255 | 510 |
| 225 | 2.173.192.0/23 | 2.173.192.1 to 2.173.193.254 | 2.173.193.255 | 510 |
| 226 | 2.173.194.0/23 | 2.173.194.1 to 2.173.195.254 | 2.173.195.255 | 510 |
| 227 | 2.173.196.0/23 | 2.173.196.1 to 2.173.197.254 | 2.173.197.255 | 510 |
| 228 | 2.173.198.0/23 | 2.173.198.1 to 2.173.199.254 | 2.173.199.255 | 510 |
| 229 | 2.173.200.0/23 | 2.173.200.1 to 2.173.201.254 | 2.173.201.255 | 510 |
| 230 | 2.173.202.0/23 | 2.173.202.1 to 2.173.203.254 | 2.173.203.255 | 510 |
| 231 | 2.173.204.0/23 | 2.173.204.1 to 2.173.205.254 | 2.173.205.255 | 510 |
| 232 | 2.173.206.0/23 | 2.173.206.1 to 2.173.207.254 | 2.173.207.255 | 510 |
| 233 | 2.173.208.0/23 | 2.173.208.1 to 2.173.209.254 | 2.173.209.255 | 510 |
| 234 | 2.173.210.0/23 | 2.173.210.1 to 2.173.211.254 | 2.173.211.255 | 510 |
| 235 | 2.173.212.0/23 | 2.173.212.1 to 2.173.213.254 | 2.173.213.255 | 510 |
| 236 | 2.173.214.0/23 | 2.173.214.1 to 2.173.215.254 | 2.173.215.255 | 510 |
| 237 | 2.173.216.0/23 | 2.173.216.1 to 2.173.217.254 | 2.173.217.255 | 510 |
| 238 | 2.173.218.0/23 | 2.173.218.1 to 2.173.219.254 | 2.173.219.255 | 510 |
| 239 | 2.173.220.0/23 | 2.173.220.1 to 2.173.221.254 | 2.173.221.255 | 510 |
| 240 | 2.173.222.0/23 | 2.173.222.1 to 2.173.223.254 | 2.173.223.255 | 510 |
| 241 | 2.173.224.0/23 | 2.173.224.1 to 2.173.225.254 | 2.173.225.255 | 510 |
| 242 | 2.173.226.0/23 | 2.173.226.1 to 2.173.227.254 | 2.173.227.255 | 510 |
| 243 | 2.173.228.0/23 | 2.173.228.1 to 2.173.229.254 | 2.173.229.255 | 510 |
| 244 | 2.173.230.0/23 | 2.173.230.1 to 2.173.231.254 | 2.173.231.255 | 510 |
| 245 | 2.173.232.0/23 | 2.173.232.1 to 2.173.233.254 | 2.173.233.255 | 510 |
| 246 | 2.173.234.0/23 | 2.173.234.1 to 2.173.235.254 | 2.173.235.255 | 510 |
| 247 | 2.173.236.0/23 | 2.173.236.1 to 2.173.237.254 | 2.173.237.255 | 510 |
| 248 | 2.173.238.0/23 | 2.173.238.1 to 2.173.239.254 | 2.173.239.255 | 510 |
| 249 | 2.173.240.0/23 | 2.173.240.1 to 2.173.241.254 | 2.173.241.255 | 510 |
| 250 | 2.173.242.0/23 | 2.173.242.1 to 2.173.243.254 | 2.173.243.255 | 510 |
| 251 | 2.173.244.0/23 | 2.173.244.1 to 2.173.245.254 | 2.173.245.255 | 510 |
| 252 | 2.173.246.0/23 | 2.173.246.1 to 2.173.247.254 | 2.173.247.255 | 510 |
| 253 | 2.173.248.0/23 | 2.173.248.1 to 2.173.249.254 | 2.173.249.255 | 510 |
| 254 | 2.173.250.0/23 | 2.173.250.1 to 2.173.251.254 | 2.173.251.255 | 510 |
| 255 | 2.173.252.0/23 | 2.173.252.1 to 2.173.253.254 | 2.173.253.255 | 510 |
| 256 | 2.173.254.0/23 | 2.173.254.1 to 2.173.255.254 | 2.173.255.255 | 510 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |